Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class CrossValidationFoldMakerBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo
              weka.gui.beans.CrossValidationFoldMakerBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class CrossValidationFoldMakerBeanInfo

extends AbstractTrainAndTestSetProducerBeanInfo

BeanInfo class for the cross validation fold maker bean

Version:
  $Revision: 1.2 $
Author:
  Mark Hall

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`CrossValidationFoldMakerBeanInfo()`

Method Summary
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Return the bean descriptor for this bean
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()` Return the property descriptors for this bean

Methods inherited from class weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo
`getEventSetDescriptors`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, loadImage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossValidationFoldMakerBeanInfo

    public CrossValidationFoldMakerBeanInfo()

Method Detail

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Return the property descriptors for this bean

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getPropertyDescriptors` in class `java.beans.SimpleBeanInfo`
  Returns:
    a `PropertyDescriptor[]` value

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Return the bean descriptor for this bean

  Specified by:
    `getBeanDescriptor` in interface `java.beans.BeanInfo`
  Overrides:
    `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`
  Returns:
    a `BeanDescriptor` value

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD